Privacy Error

%3CLINGO-SUB%20id%3D%22lingo-sub-2130525%22%20slang%3D%22en-US%22%3EPrivacy%20Error%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-2130525%22%20slang%3D%22en-US%22%3E%3CP%3EHi.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EI've%20been%20getting%20this%20'Privacy%20Error'%20all%20week%2C%20across%20various%20versions%20of%20Canary.%20it's%20saying%20that%20the%20site's%20certificate%20is%20invalid%2C%20but%20when%20you%20look%20at%20the%20Cert%2C%20it%20expires%20in%20June%202022.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EI%20haven't%20had%20this%20issue%20on%20Release%20Edge%20nor%20on%20Edge%20mobile%20Beta%20on%20Android.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EAnyone%20had%2Fhaving%20the%20same%20problem%3F%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EThanks%2C%20take%20care%20all.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-2131162%22%20slang%3D%22en-US%22%3ERe%3A%20Privacy%20Error%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-2131162%22%20slang%3D%22en-US%22%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Ftechcommunity.microsoft.com%2Ft5%2Fuser%2Fviewprofilepage%2Fuser-id%2F320371%22%20target%3D%22_blank%22%3E%40Pete_FFC%3C%2FA%3E%26nbsp%3B%3C%2FP%3E%3CP%3EHi%2C%3C%2FP%3E%3CP%3Eyes%20I%20have%20the%20same%20problem%2C%20thought%20it's%20only%20my%20system.%26nbsp%3B%3C%2FP%3E%3CP%3EI'm%20using%20some%20flags%20that%20forcefully%20drop%20support%20for%20old%20TLS%20versions%2C%20not%20sure%20if%20it's%20the%20same%20for%20you.%3C%2FP%3E%3C%2FLINGO-BODY%3E
Contributor

Hi.

 

I've been getting this 'Privacy Error' all week, across various versions of Canary. it's saying that the site's certificate is invalid, but when you look at the Cert, it expires in June 2022.

 

I haven't had this issue on Release Edge nor on Edge mobile Beta on Android.

 

Anyone had/having the same problem?

 

Thanks, take care all.

3 Replies

@Pete_FFC 

Hi,

yes I have the same problem, thought it's only my system. 

I'm using some flags that forcefully drop support for old TLS versions, not sure if it's the same for you.

also using secure DNS set to OpenDNS in Edge settings.

@HotCakeX , thanks.

 

I'm afraid I don't really understand what you're saying - looks like you're much more technical than I am. :smiling_face_with_smiling_eyes:.

 

I haven't changed anything relating to security etc. When I click on the warning triangle to the left of the url I get this (below), sayng the certificate isn't valid. But when I've checked the certificate details (including whole certification path) it's all showing valid expiry dates and that the certificates are ok.

 

Pete_FFC_0-1613209541716.png

 

Ah sorry,
the flag i was talking about: edge://flags/#legacy-tls-enforced
and secure DNS settings: edge://settings/privacy

So yeah this looks like a bug but I can't find a pattern for it. very few websites reproduce this bug

this one you showed is one of them: http://sitfiscal.portaldasfinancas.gov.pt/